> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/dealattributes.md).

# DealAttributes

Attributes for creating and updating a contact

```json
{
  "accountId": "456123",
  "name": "",
  "code": "",
  "ownerUserId": "456123",
  "amount": "1.00",
  "probability": 123,
  "description": "",
  "closeDate": "2022-06-01",
  "dealStageId": "456123",
  "leadSourceId": "456123",
  "contactId": "456123",
  "kind": "DealKind",
  "notForRevenue": true,
  "viaPortal": true,
  "currencyId": "456123",
  "origin": "DealOrigin"
}
```

| Name          | Type                                                       | Description                                                 |
| ------------- | ---------------------------------------------------------- | ----------------------------------------------------------- |
| accountId     | ID                                                         | Account that the deal belongs to                            |
| name          | String                                                     | Name that describes the deal                                |
| code          | String                                                     | Unique code                                                 |
| ownerUserId   | ID                                                         | Owner of the deal                                           |
| amount        | Float                                                      | Total value of the deal                                     |
| probability   | Int                                                        | Probability that the deal will close                        |
| description   | String                                                     | Description of the deal                                     |
| closeDate     | ISO8601Date                                                | Datetime the deal closed                                    |
| dealStageId   | ID                                                         | Current stage of the deal                                   |
| leadSourceId  | ID                                                         | Lead source for the deal                                    |
| contactId     | ID                                                         | Primary contact for the deal                                |
| kind          | [DealKind](/developer/api-reference/enums.md#dealkind)     | The kind of deal                                            |
| notForRevenue | Boolean                                                    | Used for test accounts and the like                         |
| viaPortal     | Boolean                                                    | Used to identify deals coming from Portal UI                |
| currencyId    | ID                                                         | Primary currency for billing                                |
| origin        | [DealOrigin](/developer/api-reference/enums.md#dealorigin) | Describes the origin of the deal: sales, portal, signup etc |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/dealattributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
